;              
CREATE USER IF NOT EXISTS SA SALT '7b2e4a8774c6fc38' HASH 'b1af7b6da2939057dfe190ffcdba07714b35b09b26394ea6c75c9e6b9bde3e44' ADMIN;            
CREATE CACHED TABLE PUBLIC.ATTRIBUTE(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    KEY VARCHAR(256),
    VALUE VARCHAR(2048)
); 
ALTER TABLE PUBLIC.ATTRIBUTE ADD CONSTRAINT PUBLIC.CONSTRAINT_A PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.ATTRIBUTE;
CREATE CACHED TABLE PUBLIC.CATEGORY(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    SORT INTEGER,
    CATEGORY_ID BIGINT
);       
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.CONSTRAINT_3 PRIMARY KEY(ID);
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.CATEGORY; 
INSERT INTO PUBLIC.CATEGORY(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, SORT, CATEGORY_ID) VALUES
(1, NULL, NULL, 'Personnage principal', '', '', '', 1, NULL),
(2, NULL, NULL, 'Personnage secondaire', '', '', '', 2, NULL);     
CREATE CACHED TABLE PUBLIC.CHAPTER(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    TITLE VARCHAR(256),
    PART_ID BIGINT,
    CHAPTERNO INTEGER,
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER
);       
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.CONSTRAINT_5 PRIMARY KEY(ID); 
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.CHAPTER;  
INSERT INTO PUBLIC.CHAPTER(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, TITLE, PART_ID, CHAPTERNO, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH) VALUES
(1, NULL, NULL, '1 Chapitre 1', '', '', '', 'Chapitre 1', 1, 1, TIMESTAMP '2020-06-22 21:33:49.787', NULL, NULL, 0);    
CREATE CACHED TABLE PUBLIC.GENDER(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CHILDHOOD INTEGER NOT NULL,
    ADOLESCENCE INTEGER NOT NULL,
    ADULTHOOD INTEGER NOT NULL,
    RETIREMENT INTEGER NOT NULL,
    ICONE VARCHAR(256)
);        
ALTER TABLE PUBLIC.GENDER ADD CONSTRAINT PUBLIC.CONSTRAINT_7 PRIMARY KEY(ID);  
-- 2 +/- SELECT COUNT(*) FROM PUBLIC.GENDER;   
INSERT INTO PUBLIC.GENDER(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHILDHOOD, ADOLESCENCE, ADULTHOOD, RETIREMENT, ICONE) VALUES
(1, NULL, NULL, 'Homme', '', '', '', 12, 6, 47, 14, NULL),
(2, NULL, NULL, 'Femme', '', '', '', 12, 6, 47, 14, NULL);           
CREATE CACHED TABLE PUBLIC.IDEAS(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    STATUS INTEGER,
    CATEGORY VARCHAR(256)
);     
ALTER TABLE PUBLIC.IDEAS ADD CONSTRAINT PUBLIC.CONSTRAINT_4 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.IDEAS;    
CREATE CACHED TABLE PUBLIC.INTERNAL(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    KEY VARCHAR(512),
    STRING_VALUE VARCHAR(4096),
    INTEGER_VALUE INTEGER,
    BOOLEAN_VALUE BOOLEAN,
    BINVALUE BINARY(16384)
);         
ALTER TABLE PUBLIC.INTERNAL ADD CONSTRAINT PUBLIC.CONSTRAINT_50 PRIMARY KEY(ID);               
-- 48 +/- SELECT COUNT(*) FROM PUBLIC.INTERNAL;
INSERT INTO PUBLIC.INTERNAL(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE) VALUES
(1, NULL, NULL, '', '', '', '', 'CalendarYearDays', NULL, 365, NULL, NULL),
(2, NULL, NULL, '', '', '', '', 'CalendarHours', NULL, 24, NULL, NULL),
(3, NULL, NULL, '', '', '', '', 'CalendarMinutes', NULL, 60, NULL, NULL),
(4, NULL, NULL, '', '', '', '', 'CalendarSeconds', NULL, 60, NULL, NULL),
(5, NULL, NULL, '', '', '', '', 'CalendarStartDay', NULL, 5, NULL, NULL),
(6, NULL, NULL, '', '', '', '', 'CalendarMonthsName', '', NULL, NULL, NULL),
(7, NULL, NULL, '', '', '', '', 'CalendarDaysName', '', NULL, NULL, NULL),
(8, NULL, NULL, '', '', '', '', 'Scenario', NULL, NULL, FALSE, NULL),
(9, NULL, NULL, '', '', '', '', 'Markdown', NULL, NULL, FALSE, NULL),
(10, NULL, NULL, '', '', '', '', 'Title', 'Guide utilisateur I18N', NULL, NULL, NULL),
(11, NULL, NULL, '', '', '', '', 'SubTitle', '', NULL, NULL, NULL),
(12, NULL, NULL, '', '', '', '', 'Author', 'favdb', NULL, NULL, NULL),
(13, NULL, NULL, '', '', '', '', 'Copyright', 'CC-BY-SA', NULL, NULL, NULL),
(14, NULL, NULL, '', '', '', '', 'Blurb', '', NULL, NULL, NULL),
(15, NULL, NULL, '', '', '', '', 'Notes', '', NULL, NULL, NULL),
(16, NULL, NULL, '', '', '', '', 'xEditorUse', NULL, NULL, FALSE, NULL),
(17, NULL, NULL, '', '', '', '', 'ChornoLayoutDirection', NULL, NULL, TRUE, NULL),
(18, NULL, NULL, '', '', '', '', 'ChornoShowDateDiff', NULL, NULL, FALSE, NULL),
(19, NULL, NULL, '', '', '', '', 'ChronoZoom', NULL, 40, NULL, NULL),
(20, NULL, NULL, '', '', '', '', 'UseHtmlScenes', NULL, NULL, TRUE, NULL),
(22, NULL, NULL, '', '', '', '', 'TypistUse', NULL, NULL, FALSE, NULL),
(23, NULL, NULL, '', '', '', '', 'EditorModless', NULL, NULL, FALSE, NULL),
(24, NULL, NULL, '', '', '', '', 'LastUsedPart', NULL, 1, NULL, NULL),
(31, NULL, NULL, '', '', '', '', 'lastImageDir', '/home/favdb/ext/oStorybook/I18N/doc/img/05_enregistrer.png', NULL, NULL, NULL),
(41, NULL, NULL, '', '', '', '', 'ReadingZoom', NULL, 60, NULL, NULL),
(42, NULL, NULL, '', '', '', '', 'ReadingFontSize', NULL, 11, NULL, NULL),
(43, NULL, NULL, '', '', '', '', 'HTMLUseCSS', NULL, NULL, FALSE, NULL),
(44, NULL, NULL, '', '', '', '', 'HTMLNav', NULL, NULL, FALSE, NULL),
(45, NULL, NULL, '', '', '', '', 'HTMLNavImage', NULL, NULL, FALSE, NULL),
(46, NULL, NULL, '', '', '', '', 'HTMLBookMultifile', NULL, NULL, FALSE, NULL),
(47, NULL, NULL, '', '', '', '', 'HTMLBookMultiScene', NULL, NULL, FALSE, NULL),
(48, NULL, NULL, '', '', '', '', 'ExportChapterBooktitle', NULL, NULL, FALSE, NULL),
(49, NULL, NULL, '', '', '', '', 'ExportChapterBreakPage', NULL, NULL, FALSE, NULL),
(50, NULL, NULL, '', '', '', '', 'ExportChapterNumbers', NULL, NULL, FALSE, NULL),
(51, NULL, NULL, '', '', '', '', 'ExportRomanNumerals', NULL, NULL, FALSE, NULL),
(52, NULL, NULL, '', '', '', '', 'ExportChapterTitles', NULL, NULL, FALSE, NULL),
(53, NULL, NULL, '', '', '', '', 'ExportChapterDatesLocations', NULL, NULL, FALSE, NULL),
(54, NULL, NULL, '', '', '', '', 'ExportSceneDidascalie', NULL, NULL, FALSE, NULL),
(55, NULL, NULL, '', '', '', '', 'ExportSceneTitles', NULL, NULL, TRUE, NULL),
(56, NULL, NULL, '', '', '', '', 'ExportSceneSeparator', NULL, NULL, FALSE, NULL),
(57, NULL, NULL, '', '', '', '', 'ExportPartTitles', NULL, NULL, FALSE, NULL),
(58, NULL, NULL, '', '', '', '', 'PDFPageSize', '', NULL, NULL, NULL),
(59, NULL, NULL, '', '', '', '', 'PDFLandscape', NULL, NULL, FALSE, NULL),
(63, NULL, NULL, '', '', '', '', 'ExportDirectory', '', NULL, NULL, NULL),
(64, NULL, NULL, '', '', '', '', 'HTMLCssFile', '', NULL, NULL, NULL),
(118, NULL, NULL, '', '', '', '', 'Table.LocationTable', STRINGDECODE('(ID=75,0,hide)(Nom=75,1)(Adresse=75,0,hide)(Ville=75,2)(Pays=75,3)(o\u00f9=75,4)(Altitude=75,0,hide)(GPS=75,0,hide)(Description=400,5)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL),
(119, NULL, NULL, '', '', '', '', 'Table.PersonTable', STRINGDECODE('(ID=75,0,hide)(Pr\u00e9nom/Surnom=116,1)(Nom=75,2)(Abr\u00e9viation=79,3)(Genres=75,4)(Cat\u00e9gorie=75,5)(Date de naissance=132,6)(Jour de d\u00e9c\u00e8s=98,0,hide)(Profession=76,0,hide)(Couleur=75,7)(Attributs=75,0,hide)(Description=400,0,hide)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL);               
INSERT INTO PUBLIC.INTERNAL(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, KEY, STRING_VALUE, INTEGER_VALUE, BOOLEAN_VALUE, BINVALUE) VALUES
(120, NULL, NULL, '', '', '', '', 'Table.SceneTable', STRINGDECODE('(ID=75,0,hide)(Intitul\u00e9=75,1)(Mots=75,2)(Fil=75,3)(Chapitre=75,4)(N\u00b0=75,5)(\u00c9tat=75,6)(Informatif=75,0,hide)(Narrateur=75,0,hide)(Sans date=75,0,hide)(Date=75,7)(Se passe=75,0,hide)(jour(s) apr\u00e8s la sc\u00e8ne=152,0,hide)(Fils=75,0,hide)(R\u00e9sum\u00e9/Texte=400,0,hide)(Personnages=95,8)(Lieux=75,9)(Objets=75,10)(Actions=75,11)(Notes=400,0,hide)(Assistant=400,0,hide)'), NULL, NULL, NULL);         
CREATE CACHED TABLE PUBLIC.LOCATION(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ADDRESS VARCHAR(256),
    CITY VARCHAR(256),
    COUNTRY VARCHAR(256),
    ALTITUDE INTEGER,
    GPS VARCHAR(256),
    LOCATION_ID BIGINT
);  
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.CONSTRAINT_9 PRIMARY KEY(ID);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.LOCATION; 
CREATE CACHED TABLE PUBLIC.PART(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    NUMBER INTEGER,
    PART_ID BIGINT,
    CREATION_TS TIMESTAMP,
    OBJECTIVE_TS TIMESTAMP,
    DONE_TS TIMESTAMP,
    OBJECTIVE_CH INTEGER
);     
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.CONSTRAINT_2 PRIMARY KEY(ID);    
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.PART;     
INSERT INTO PUBLIC.PART(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, NUMBER, PART_ID, CREATION_TS, OBJECTIVE_TS, DONE_TS, OBJECTIVE_CH) VALUES
(1, NULL, NULL, 'Partie 1', '', '', '', 1, NULL, TIMESTAMP '2020-06-22 21:33:49.787', NULL, NULL, 0);
CREATE CACHED TABLE PUBLIC.PERSON(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    GENDER_ID BIGINT,
    FIRSTNAME VARCHAR(256),
    LASTNAME VARCHAR(256),
    ABBREVIATION VARCHAR(256),
    BIRTHDAY TIMESTAMP,
    DAYOFDEATH TIMESTAMP,
    OCCUPATION VARCHAR(256),
    COLOR INTEGER,
    CATEGORY_ID BIGINT
);             
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.CONSTRAINT_8 PRIMARY KEY(ID);  
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON;   
CREATE CACHED TABLE PUBLIC.PLOT(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CATEGORY VARCHAR(255)
);          
ALTER TABLE PUBLIC.PLOT ADD CONSTRAINT PUBLIC.CONSTRAINT_25 PRIMARY KEY(ID);   
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PLOT;     
CREATE CACHED TABLE PUBLIC.RELATIONSHIP(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    PERSON1_ID BIGINT,
    PERSON2_ID BIGINT,
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT
);           
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.CONSTRAINT_7A PRIMARY KEY(ID);           
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP;             
CREATE CACHED TABLE PUBLIC.SCENE(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CHAPTER_ID BIGINT,
    STRAND_ID BIGINT,
    SCENENO INTEGER,
    SCENE_TS TIMESTAMP,
    TITLE VARCHAR(2048),
    SUMMARY VARCHAR(32768),
    STATUS INTEGER,
    RELATIVE_DATE_DIFFERENCE INTEGER,
    RELATIVE_SCENE_ID BIGINT,
    INFORMATIVE BOOLEAN,
    SCENARIO_PITCH VARCHAR(1024),
    SCENARIO_STAGE INTEGER,
    SCENARIO_START INTEGER,
    SCENARIO_END INTEGER,
    SCENARIO_MOMENT INTEGER,
    SCENARIO_LOC INTEGER,
    ODF VARCHAR(256),
    NARRATOR_ID BIGINT
);           
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.CONSTRAINT_4B PRIMARY KEY(ID);  
-- 5 +/- SELECT COUNT(*) FROM PUBLIC.SCENE;    
INSERT INTO PUBLIC.SCENE(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, CHAPTER_ID, STRAND_ID, SCENENO, SCENE_TS, TITLE, SUMMARY, STATUS, RELATIVE_DATE_DIFFERENCE, RELATIVE_SCENE_ID, INFORMATIVE, SCENARIO_PITCH, SCENARIO_STAGE, SCENARIO_START, SCENARIO_END, SCENARIO_MOMENT, SCENARIO_LOC, ODF, NARRATOR_ID) VALUES
(1, '2020-06-23 09:25:58', '2020-06-22 21:36:58', '1. Introduction', '', '', '', 1, 1, 1, TIMESTAMP '2020-06-22 00:00:00.0', '1. Introduction', STRINGDECODE('<p>\n      I18N est un programme facilitant la traduction d''un fichier &quot;properties&quot; \n      utilis&#233; par les logiciels d&#233;velopp&#233;s sous Java. Il a &#233;t&#233; cr&#233;&#233; pour les \n      besoins du projet oStorybook mais peut &#234;tre utilis&#233; pour \n      l''internationalisation de tout autre logiciel.\n    </p>'), 1, 0, -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(2, '2020-06-23 09:55:50', '2020-06-23 08:44:51', '2. Lancement', '', '', '', 1, 1, 2, NULL, '2. Lancement', STRINGDECODE('<div>\n      Lors du lancement du programme vous devrez commencer par s&#233;lectionner le \n      fichier &#224; traduire.\n    </div>\n    <div>\n      <img src=\"file:///home/favdb/ext/oStorybook/I18N/doc/img/01_selection_fichier.png\" width=\"536\" height=\"356\">\n      &#160;\n    </div>\n    <div>\n      \n    </div>\n    <div>\n      Dans le cas de oStorybook, la base du nom de fichier est \n      &quot;messages.properties&quot;. Naviguez dans l''arborescence de vos fichiers pour \n      s&#233;lectionner celui souhait&#233;.\n    </div>\n    <div>\n      \n    </div>\n    <div>\n      <b>Remarque:</b> dans le dossier o&#249; se trouve le fichier &#224; traduire il \n      peut y avoir des fichiers pour d''autre langues, s&#233;lectionnez bien celui \n      de base, par exemple &quot;messages.properties&quot;.\n    </div>'), 0, 0, -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(3, '2020-06-23 09:55:52', '2020-06-22 22:07:44', STRINGDECODE('3. S\u00e9lection de la langue'), '', '', '', 1, 1, 3, NULL, STRINGDECODE('3. S\u00e9lection de la langue'), STRINGDECODE('<div>\n      Commencez par choisir la langue.\n    </div>\n    <div>\n      <img src=\"file:///home/favdb/ext/oStorybook/I18N/doc/img/03_change_langue.png\" width=\"731\" height=\"680\">\n      &#160;\n    </div>'), 0, 0, -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(4, '2020-06-23 09:55:53', '2020-06-23 08:36:04', '4. Commencez la traduction', '', '', '', 1, 1, 4, NULL, '4. Commencez la traduction', STRINGDECODE('<div>\n      Apr&#232;s avoir choisi la langue vous pouvez commencer votre traduction.\n    </div>\n    <div>\n      \n    </div>\n    <div>\n      Si la langue choisie a d&#233;j&#224; fait l''objet d''une traduction, et donc que \n      le fichier existe, la partie droite du tableau sera renseign&#233;e, comme \n      dans l''exemple ci-apr&#232;s:\n    </div>\n    <div>\n      <img src=\"file:///home/favdb/ext/oStorybook/I18N/doc/img/04_apres_change.png\" width=\"731\" height=\"680\">\n      &#160;\n    </div>\n    <div>\n      \n    </div>\n    <div>\n      Commencez par renseigner la zone &quot;Comment&quot;. Vous y mettrez votre nom, ou \n      votre pseudo de mani&#232;re &#224; indiquer que c''est vous l''auteur de la \n      traduction. Si vous le souhaitez vous pouvez aussi indiquer votre \n      adresse mail.\n    </div>\n    <div>\n      \n    </div>\n    <div>\n      Astuce:\n    </div>\n    <div>\n      En cliquant sur un en-t&#234;te de colonne vous changez l''ordre de \n      pr&#233;sentation. Un deuxi&#232;me clique au m&#234;me endroit inversera l''ordre. \n      Exemple: si je reprends le travail d&#233;j&#224; effectu&#233;, pour le compl&#233;ter ou \n      simplement le relire, je clique sur la colonne &quot;fr_FR Fran&#231;ais&quot;, le \n      tableau sera tri&#233; selon les contenus de cette colonne. Pour faire \n      appara&#238;tre en premier les &#233;l&#233;ments non traduits il me suffit de cliquer \n      une deuxi&#232;me fois sur cet en-t&#234;te.\n    </div>'), 0, 0, -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL),
(5, '2020-06-23 09:55:54', '2020-06-22 23:34:51', STRINGDECODE('5. Termin\u00e9'), '', '', '', 1, 1, 5, NULL, STRINGDECODE('5. Termin\u00e9'), STRINGDECODE('<div>\n      Vous avez termin&#233; la traduction? Alors il faut l''enregistrer, cliquez \n      sur le bouton correspondant:\n    </div>\n    <div>\n      <img src=\"file:///home/favdb/ext/oStorybook/I18N/doc/img/05_enregistrer.png\" width=\"731\" height=\"680\">\n      \n    </div>\n    <div>\n      Pour quitter vous utiliserez le bouton &#224; c&#244;t&#233; repr&#233;sentant une porte de \n      sortie.\n    </div>'), 0, 0, -1, FALSE, '', 0, 0, 0, 0, 0, '', NULL);       
CREATE CACHED TABLE PUBLIC.STATUS(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ICONE VARCHAR(256)
);           
ALTER TABLE PUBLIC.STATUS ADD CONSTRAINT PUBLIC.CONSTRAINT_92 PRIMARY KEY(ID); 
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.STATUS;   
CREATE CACHED TABLE PUBLIC.STRAND(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    ABBREVIATION VARCHAR(256),
    COLOR INTEGER,
    SORT INTEGER
);               
ALTER TABLE PUBLIC.STRAND ADD CONSTRAINT PUBLIC.CONSTRAINT_926 PRIMARY KEY(ID);
-- 1 +/- SELECT COUNT(*) FROM PUBLIC.STRAND;   
INSERT INTO PUBLIC.STRAND(ID, CREATION, MAJ, NAME, DESCRIPTION, NOTES, ASSISTANT, ABBREVIATION, COLOR, SORT) VALUES
(1, NULL, NULL, STRINGDECODE('Fil par d\u00e9faut'), '', '', '', 'DS', -1052673, 1);       
CREATE CACHED TABLE PUBLIC.TAG(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    CATEGORY VARCHAR(255)
);
ALTER TABLE PUBLIC.TAG ADD CONSTRAINT PUBLIC.CONSTRAINT_1 PRIMARY KEY(ID);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG;      
CREATE CACHED TABLE PUBLIC.TAG_LINK(
    ID BIGINT NOT NULL,
    TYPE INTEGER NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(255),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    START_SCENE_ID BIGINT,
    END_SCENE_ID BIGINT,
    CHARACTER_ID BIGINT,
    LOCATION_ID BIGINT,
    TAG_ID BIGINT
);              
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.CONSTRAINT_2D PRIMARY KEY(ID);               
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TAG_LINK; 
CREATE CACHED TABLE PUBLIC.TIMEEVENT(
    ID BIGINT NOT NULL,
    CREATION VARCHAR(255),
    MAJ VARCHAR(255),
    NAME VARCHAR(256),
    DESCRIPTION VARCHAR(32768),
    NOTES VARCHAR(32768),
    ASSISTANT VARCHAR(32768),
    TITLE VARCHAR(256),
    EVENT_TS TIMESTAMP,
    TIME_STEP INTEGER,
    CATEGORY VARCHAR(255)
);              
ALTER TABLE PUBLIC.TIMEEVENT ADD CONSTRAINT PUBLIC.CONSTRAINT_A8 PRIMARY KEY(ID);              
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.TIMEEVENT;
CREATE CACHED TABLE PUBLIC.PERSON_ATTRIBUTE(
    PERSON_ID BIGINT NOT NULL,
    ATTRIBUTE_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_ATTRIBUTE;         
CREATE CACHED TABLE PUBLIC.PERSON_CATEGORIES(
    PERSON_ID BIGINT NOT NULL,
    CATEGORY_ID BIGINT NOT NULL
);
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.PERSON_CATEGORIES;        
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_ITEMS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);             
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_ITEMS;       
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_LOCATIONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);     
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_LOCATIONS;   
CREATE CACHED TABLE PUBLIC.RELATIONSHIP_PERSONS(
    RELATIONSHIP_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);         
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.RELATIONSHIP_PERSONS;     
CREATE CACHED TABLE PUBLIC.SCENE_ITEM(
    SCENE_ID BIGINT NOT NULL,
    ITEM_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_ITEM;               
CREATE CACHED TABLE PUBLIC.SCENE_LOCATION(
    SCENE_ID BIGINT NOT NULL,
    LOCATION_ID BIGINT NOT NULL
);    
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_LOCATION;           
CREATE CACHED TABLE PUBLIC.SCENE_PERSON(
    SCENE_ID BIGINT NOT NULL,
    PERSON_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PERSON;             
CREATE CACHED TABLE PUBLIC.SCENE_PLOT(
    SCENE_ID BIGINT NOT NULL,
    PLOT_ID BIGINT NOT NULL
);            
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_PLOT;               
CREATE CACHED TABLE PUBLIC.SCENE_STRAND(
    SCENE_ID BIGINT NOT NULL,
    STRAND_ID BIGINT NOT NULL
);        
-- 0 +/- SELECT COUNT(*) FROM PUBLIC.SCENE_STRAND;             
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F9BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;        
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB562174C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;            
ALTER TABLE PUBLIC.CATEGORY ADD CONSTRAINT PUBLIC.FK31A8ACFE18A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C648F075E FOREIGN KEY(CHAPTER_ID) REFERENCES PUBLIC.CHAPTER(ID) NOCHECK;
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C37380422 FOREIGN KEY(NARRATOR_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FA8B82A3E FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.SCENE ADD CONSTRAINT PUBLIC.FK4B1206C79E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;  
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F558C3830D6 FOREIGN KEY(GENDER_ID) REFERENCES PUBLIC.GENDER(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F36DA5802 FOREIGN KEY(CHARACTER_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E65A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB11979E12EB6 FOREIGN KEY(STRAND_ID) REFERENCES PUBLIC.STRAND(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;      
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;             
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;  
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A68BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;          
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B5437ECF FOREIGN KEY(PERSON1_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.RELATIONSHIP_ITEMS ADD CONSTRAINT PUBLIC.FK6F2B36F948B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;         
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F094618A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;  
ALTER TABLE PUBLIC.RELATIONSHIP_LOCATIONS ADD CONSTRAINT PUBLIC.FK1FB56217BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;    
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696084C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;    
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38D00CFAE2 FOREIGN KEY(END_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;        
ALTER TABLE PUBLIC.RELATIONSHIP ADD CONSTRAINT PUBLIC.FK7A835E38B543F32E FOREIGN KEY(PERSON2_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;         
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B45A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;              
ALTER TABLE PUBLIC.LOCATION ADD CONSTRAINT PUBLIC.FK9FF58FB54C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;          
ALTER TABLE PUBLIC.SCENE_STRAND ADD CONSTRAINT PUBLIC.FK87BBB1195A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F4C31DD56 FOREIGN KEY(LOCATION_ID) REFERENCES PUBLIC.LOCATION(ID) NOCHECK;           
ALTER TABLE PUBLIC.SCENE_ITEM ADD CONSTRAINT PUBLIC.FK7BFE92E648B9F696 FOREIGN KEY(ITEM_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK; 
ALTER TABLE PUBLIC.SCENE_PERSON ADD CONSTRAINT PUBLIC.FK81CA0A685A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;            
ALTER TABLE PUBLIC.PERSON_CATEGORIES ADD CONSTRAINT PUBLIC.FKA7F0946BFBA7856 FOREIGN KEY(PERSON_ID) REFERENCES PUBLIC.PERSON(ID) NOCHECK;      
ALTER TABLE PUBLIC.PERSON ADD CONSTRAINT PUBLIC.FK8C768F5518A1ECB6 FOREIGN KEY(CATEGORY_ID) REFERENCES PUBLIC.CATEGORY(ID) NOCHECK;            
ALTER TABLE PUBLIC.SCENE_LOCATION ADD CONSTRAINT PUBLIC.FK8E5696085A9C8BFE FOREIGN KEY(SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;          
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399FD370C73B FOREIGN KEY(START_SCENE_ID) REFERENCES PUBLIC.SCENE(ID) NOCHECK;           
ALTER TABLE PUBLIC.CHAPTER ADD CONSTRAINT PUBLIC.FK56D8082D9B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;   
ALTER TABLE PUBLIC.SCENE_PLOT ADD CONSTRAINT PUBLIC.FK7C01A4B4ADF1FBD6 FOREIGN KEY(PLOT_ID) REFERENCES PUBLIC.PLOT(ID) NOCHECK;
ALTER TABLE PUBLIC.TAG_LINK ADD CONSTRAINT PUBLIC.FK2DE399F961090AF FOREIGN KEY(TAG_ID) REFERENCES PUBLIC.TAG(ID) NOCHECK;     
ALTER TABLE PUBLIC.PERSON_ATTRIBUTE ADD CONSTRAINT PUBLIC.FKD555DA32490A0FFE FOREIGN KEY(ATTRIBUTE_ID) REFERENCES PUBLIC.ATTRIBUTE(ID) NOCHECK;
ALTER TABLE PUBLIC.RELATIONSHIP_PERSONS ADD CONSTRAINT PUBLIC.FKAAA634B7BA956C76 FOREIGN KEY(RELATIONSHIP_ID) REFERENCES PUBLIC.RELATIONSHIP(ID) NOCHECK;      
ALTER TABLE PUBLIC.PART ADD CONSTRAINT PUBLIC.FK255BF39B56CA96 FOREIGN KEY(PART_ID) REFERENCES PUBLIC.PART(ID) NOCHECK;        
